curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/historyLog \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/historyLog"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/historyLog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get operations history for specified APC
Returns the operations history of the APC (Project Create, Status change, Job Import/Export, Source/Target update, Monitoring, and APC Create/Deactivate events) as a raw JSON object provided by the Automation Service; the response shape is not modelled in this specification.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Identifier of the automated project creation settings
Query Parameters
Page number, starting with 0, default 0
x >= 0Page size, accepts values between 1 and 500, default 50
1 <= x <= 500When true, sort in ascending order
Date range from, based on startedAt
Date range to, based on startedAt
Filter by actionId
Filter by action status
Filter by operation type
Filter by triggeredBy
Filter by receivedBy
Search by text
Response
OK
Was this page helpful?